Show / Hide Table of Contents

# Class TextPayload

An SeString Payload representing a plain text string.

##### Inheritance

System.Object
Payload
TextPayload

##### Implements

ITextProvider

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32)
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Text.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class TextPayload : Payload, ITextProvider

### Constructors

| Improve this Doc View Source

#### TextPayload(String)

Creates a new TextPayload for the given text.

##### Declaration

    public TextPayload(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | The text to include for this payload.

### Properties

| Improve this Doc View Source

#### Text

The text contained in this payload. This may contain SE's special unicode characters.

##### Declaration

    [JsonIgnore]
    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()

### Implements

ITextProvider